Skip to main content

List all tasks

Returns a list of your tasks. The tasks are returned sorted by creation date, with the most recently created tasks appearing first.

Parameters

expand
array
Array of relationships to expand. Supported values: assignee, author, board, completer, milestone, list.
title
string
The title to search for.
status
string
The status to search for. One of open, completed.
repeating
boolean
When present, filters tasks by their repeating status. Pass 1 to return only repeating tasks, or 0 to return only non-repeating tasks. Omit this parameter entirely to return all tasks regardless of repeating status.
members
array
Array of user IDs to filter tasks by assigned members.
lists
array
Array of list IDs to filter tasks by list.
labels
array
Array of label IDs to filter tasks by label.
starts_at
string
Filter tasks by start date using a Unix timestamp. Supports exact match, or prefix with >= or <= for range filtering. Examples: 1711008000, >=1711008000, <=1711008000.
due_at
string
Filter tasks by due date using a Unix timestamp. Supports exact match, or prefix with >= or <= for range filtering. Examples: 1711008000, >=1711008000, <=1711008000.

Returns

Return a paginated response that contains an array of up to the specified limit of tasks.

get
/api/boards/{id}/tasks
curl https://{workspace}.kitchen.co/api/boards/{id}/tasks \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": {
"assignee": "u_c3715664badcadf714053dd0",
"author": "u_e2e07ccb713c2afe739a7c04",
"board": "tskb_b208f0bf2d21fa7fd5a0a577",
"completed": 0,
"completed_at": null,
"completer": null,
"created_at": "2024-03-21T07:52:35+00:00",
"description": "The task description",
"due_at": null,
"due_reminder": null,
"due_reminder_sent_at": null,
"id": "tsk_9bbcb52099a37312fbff58c8",
"milestone": "mst_c26f8070cddd1e226f4f79b3",
"remaining_minutes_estimate": null,
"list": "tskl_3a5afbeeb173e27d669942bb",
"start_at": null,
"title": "The task title",
"updated_at": "2024-03-21T07:52:35+00:00"
},
"links": {
"first": "/api/boards/tskb_b208f0bf2d21fa7fd5a0a577/tasks?page=1",
"last": "/api/boards/tskb_b208f0bf2d21fa7fd5a0a577/tasks?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "&laquo; Previous",
"active": false
},
{
"url": "/api/boards/tskb_b208f0bf2d21fa7fd5a0a577/tasks?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next &raquo;",
"active": false
}
],
"path": "/api/boards/tskb_b208f0bf2d21fa7fd5a0a577/tasks",
"per_page": 20,
"to": 1,
"total": 1
}
}